[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: SWIG bindings not makeing on Subversion 1.3.0, SWIG 1.3.28 or 1.3.24 and Python 2.4

From: Peter Samuelson <peter_at_p12n.org>
Date: 2006-03-10 22:31:37 CET

[Christopher Mann]
> make swip-py, make swig-pl, make swig-rb don't work on my
> installation. I'm using the .tar.gz form the 1.3.0 version off of
> subversion.tigris.org. The compiler complains about a syntaxe error
> on a incorrectly defined Macro SWIGRUNTIME on svn_clint.c in
> subversion/bindings/swig/python/. I'm using SWIG 1.3.28 or 1.3.24
> and Python 2.4 on a Debian Sarge. Automake 1.9.

swig 1.3.28 is not shipped with sarge, and python2.4 isn't the default.
It's pretty easy to throw the world into confusion by using both
/usr/bin/python2.4 and /usr/bin/python (or #!/usr/bin/env python, which
amounts to the same thing, python 2.3).

It is reported to me (though I haven't tried it) that our Debian
unstable package builds fine on sarge if you do the following:

  debian/rules:
    - comment out the ENABLE_JAVAHL := yes at the top
  debian/control:
    - remove the kaffe and junit stuff from the Build-Depends line
    - change two instances of "libneon25-dev" to "libneon24-dev"

Our current unstable package (1.3.0-2) isn't available on the mirrors
yet, due to factors beyond our control, but for now you can pull it
from http://p12n.org/tmp/svn/.

HTH,
Peter

Received on Fri Mar 10 22:32:45 2006

This is an archived mail posted to the Subversion Users mailing list.